<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml"
                xmlns:gri="http://java.sun.com/jsf/composite/gri">
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>#{messages['gazelle.dds.GeneratePatient']}</h1>


            <s:div id="patientCreationPanel">
                <gri:tabPanel withBorder="true" id="tabPanel">
                    <gri:tab id="PatientGeneration" head="#{messages['gazelle.dds.PatientGeneration']}">
                        <div class="container-fluid">
                            <s:div id="patientGenOnPanel">
                                <a4j:region id="CCReg">
                                    <s:decorate id="CountrycodeDecoration"
                                                template="/layout/form/_form_field_horizontal_inline.xhtml">
                                        <ui:param name="id" value="CountrycodeSelection"/>
                                        <ui:define name="label">#{messages['gazelle.dds.CountryCode']}</ui:define>
                                        <h:selectOneMenu id="CountrycodeSelection"
                                                         value="#{patientGenerator.countryCode}"
                                                         styleClass="form-control gzl-form-control gzl-select-text">
                                            <s:selectItems value="#{countryCode.getListOfUsableCountryCode()}"
                                                           var="varCountryCode"
                                                           noSelectionLabel="#{messages['gazelle.common.PleaseSelect']}"
                                                           label="#{varCountryCode.printableName}"/>
                                            <a4j:ajax event="change" execute="@this"
                                                      listener="#{patientGenerator.initializePatients()}"/>
                                        </h:selectOneMenu>
                                    </s:decorate>
                                    <p>
                                        <a4j:commandButton id="buttonGenerate"
                                                           value="#{messages['gazelle.dds.GeneratePatient']}"
                                                           styleClass="gzl-btn-green"
                                                           actionListener="#{patientGenerator.generateRandomPatient()}"
                                                           render="patientCreationPanel"/>
                                    </p>
                                </a4j:region>
                            </s:div>
                            <s:div id="generatedPatientDiv">
                                <s:decorate template="/layout/panels/_panel_title_id.xhtml"
                                            rendered="#{ (not empty patientGenerator.patient) and (patientGenerator.patient != null) }">
                                    <ui:param name="panel_id" value="patientPersonalInformation"/>
                                    <ui:define name="panel_title">
                                        <h:outputText
                                                value="#{messages['gazelle.dds.PatientPersonnalInformation']}"/>
                                    </ui:define>
                                    <s:div id="personDiv" rendered="#{patientGenerator.patient.person != null}">
                                        <a4j:region id="firstNameRegion">
                                            <s:decorate id="firstNameDecoration"
                                                        template="/layout/display/_display.xhtml">
                                                <ui:define
                                                        name="label">#{messages['gazelle.dds.FirstName']}</ui:define>
                                                <h:outputText id="firstName"
                                                              value="#{patientGenerator.patient.person.firstNameSex.firstName}"/>
                                                <h:outputText id="alternateSpelling"
                                                              value="#{patientGenerator.getFirstNameAlternateSpellingValues(patientGenerator.patient.person.firstNameSex)}"
                                                              rendered="#{patientGenerator.patient.person != null}"/>
                                            </s:decorate>
                                        </a4j:region>
                                        <a4j:region
                                                rendered="#{patientGenerator.patient.person.otherFirstNameSexList != null and patientGenerator.patient.person.otherFirstNameSexList.size() &gt; 0}">
                                            <s:decorate template="/layout/display/_display.xhtml">
                                                <ui:define name="label">#{messages['gazelle.dds.OtherFirstName']}
                                                </ui:define>
                                                <a4j:repeat
                                                        value="#{patientGenerator.patient.person.otherFirstNameSexList}"
                                                        var="otherFirstName">
                                                    <h:outputText value="#{otherFirstName.firstName}, "/>
                                                </a4j:repeat>
                                            </s:decorate>
                                        </a4j:region>
                                        <a4j:region id="lastNameRegion">
                                            <s:decorate id="lastNameDecoration"
                                                        template="/layout/display/_display.xhtml">
                                                <ui:define
                                                        name="label">#{messages['gazelle.dds.LastName']}</ui:define>
                                                <h:outputText id="lastName"
                                                              value="#{patientGenerator.patient.person.lastName.value}"/>
                                                <h:outputText id="alternateSpelling"
                                                              value="#{patientGenerator.getLastNameAlternateSpellingValues(patientGenerator.patient.person.lastName)}"
                                                              rendered="#{patientGenerator.patient.person != null}"/>
                                            </s:decorate>
                                        </a4j:region>
                                        <a4j:region id="motherRegion">
                                            <s:decorate id="modfherDecoration"
                                                        template="/layout/display/_display.xhtml">
                                                <ui:define name="label">#{messages['gazelle.dds.MotherMaidenName']}
                                                </ui:define>
                                                <h:outputText id="modherName"
                                                              value="#{patientGenerator.patient.person.motherMaidenName.value}"/>
                                                <h:outputText id="alternateSpelling"
                                                              value="#{patientGenerator.getLastNameAlternateSpellingValues(patientGenerator.patient.person.motherMaidenName)}"
                                                              rendered="#{patientGenerator.patient.person != null}"/>
                                            </s:decorate>
                                        </a4j:region>
                                        <a4j:region id="GenderRegion"
                                                    rendered="#{patientGenerator.patient.person.sex != null}">
                                            <s:decorate id="GenderDecoration"
                                                        template="/layout/display/_display.xhtml">
                                                <ui:define
                                                        name="label">#{messages['gazelle.dds.Gender']}</ui:define>
                                                <h:outputText id="sex"
                                                              value="#{patientGenerator.patient.person.sex.description}">
                                                </h:outputText>
                                            </s:decorate>
                                        </a4j:region>
                                        <a4j:region id="ReligionRegion">
                                            <s:decorate id="ReligionDecoration"
                                                        template="/layout/display/_display.xhtml"
                                                        rendered="#{patientGenerator.patient.country.generateReligion}">
                                                <ui:define
                                                        name="label">#{messages['gazelle.dds.Religion']}</ui:define>
                                                <h:outputText id="religion"
                                                              value="#{patientGenerator.patient.person.religion.description}">
                                                </h:outputText>
                                            </s:decorate>
                                        </a4j:region>
                                        <a4j:region id="RaceRegion">
                                            <s:decorate id="RaceDecoration"
                                                        template="/layout/display/_display.xhtml"
                                                        rendered="#{patientGenerator.patient.country.generateRace}">
                                                <ui:define name="label">#{messages['gazelle.dds.Race']}</ui:define>
                                                <h:outputText id="race"
                                                              value="#{patientGenerator.patient.person.race.description}">
                                                </h:outputText>
                                            </s:decorate>
                                        </a4j:region>
                                        <a4j:region id="DateOfBirthRegion">
                                            <s:decorate id="DateOfBirthDecoration"
                                                        template="/layout/display/_display.xhtml">
                                                <ui:define
                                                        name="label">#{messages['gazelle.dds.DateOfBirth']}</ui:define>
                                                <g:date value="#{patientGenerator.patient.person.dateOfBirth.time}"/>
                                            </s:decorate>
                                        </a4j:region>
                                        <a4j:region id="ViewDDSPatientIdentifierRegion1"
                                                    rendered="#{ (patientGenerator.patient.ddsPatientIdentifier != null) }">
                                            <s:decorate id="ViewDDSPatientIdentifierDecoration1"
                                                        template="/layout/display/_display.xhtml">
                                                <ui:define
                                                        name="label">#{messages['gazelle.dds.DDSPatientIdentifier']}
                                                </ui:define>
                                                <h:outputText id="viewDDSPatientIdentifier1"
                                                              value="#{patientGenerator.patient.ddsPatientIdentifier}">
                                                </h:outputText>
                                            </s:decorate>
                                        </a4j:region>
                                        <a4j:region id="NationalPatientIdentifierRegion"
                                                    rendered="#{ (patientGenerator.patient.nationalPatientIdentifier != null) }">
                                            <s:decorate id="NationalPatientIdentifierDecoration"
                                                        template="/layout/display/_display.xhtml">
                                                <ui:define name="label">
                                                    #{messages['gazelle.dds.NationalPatientIdentifier']}
                                                </ui:define>
                                                <h:outputText id="nationalPatientIdentifier"
                                                              value="#{patientGenerator.patient.nationalPatientIdentifier}">
                                                </h:outputText>
                                            </s:decorate>
                                        </a4j:region>
                                    </s:div>
                                    <s:div>
                                        <rich:dataTable id="AddressesTable" var="currentAddress"
                                                        value="#{patientGenerator.patient.address}"
                                                        rendered="#{patientGenerator.patient.address.size()&gt;0}">
                                            <g:column>
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['gazelle.dds.Street']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAddress.street.value}"/>
                                            </g:column>
                                            <g:column>
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['gazelle.dds.City']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAddress.city.value}"/>
                                            </g:column>
                                            <g:column>
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['gazelle.dds.State']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAddress.state.name}"/>
                                            </g:column>
                                            <g:column>
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['gazelle.dds.PostalCode']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAddress.postalCode}"/>
                                            </g:column>
                                            <g:column>
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['gazelle.dds.Country']}"/>
                                                </ui:define>
                                                <h:outputText value="#{patientGenerator.patient.country.name}"/>
                                            </g:column>
                                        </rich:dataTable>

                                        <a4j:commandLink event="click" execute="@this"
                                                         title="#{messages['gazelle.dds.SharePatient']}"
                                                         action="#{patientGenerator.sharePatient()}">
                                         <span class="gzl-icon-stack">
                                          <span class="gzl-icon-user gzl-icon-stack-1x"/>
                                          <span class="gzl-icon-share-alt gzl-icon-stack-1x gzl-icon-stack-bottom-right  gzl-color-light-orange"/>
                                        </span>
                                        </a4j:commandLink>
                                    </s:div>
                                </s:decorate>
                            </s:div>
                        </div>
                    </gri:tab>
                    <gri:tab id="AdvancedPatientgeneration" head="#{messages['gazelle.dds.AdvancedPatientgeneration']}">
                        <ui:include src="/patient/patient_options.xhtml"/>
                    </gri:tab>
                </gri:tabPanel>
            </s:div>

            <!--@formatter:off-->
            <script type="application/javascript">
                jq162(document).ready(function() {
                    if(location.hash) {
                        jq162('a[href=' + location.hash + ']').tab('show');
                    }
                    jq162(document.body).on("click", "a[data-toggle]", function(event) {
                        location.hash = this.getAttribute("href");
                    });
                });
                jq162(window).on('popstate', function() {
                    var anchor = location.hash || jq162("a[data-toggle=tab]").first().attr("href");
                    jq162('a[href=' + anchor + ']').tab('show');
                });
            </script>
            <!--@formatter:on-->


        </h:form>
    </ui:define>
</ui:composition>
